module.exports = function (chassis) {
  const infoData = {
    name                  : chassis.get('name'),
    type                  : chassis.get('type'),
    role                  : chassis.get('role'),
    host                  : chassis.get('host'),
    port                  : chassis.get('port'),
    cors                  : chassis.get('cors'),
    compression           : chassis.get('compression'),
    errors                : chassis.get('errors'),
    notfound              : chassis.get('notfound'),
    sockets               : chassis.get('sockets'),
    paginate              : chassis.get('paginate'),
    authentication        : chassis.get('authentication'),
    cache                 : chassis.get('cache'),
    cacheGet              : chassis.get('cacheGet'),
    cacheFind             : chassis.get('cacheFind'),
    cacheGetDuration      : chassis.get('cacheGetDuration'),
    cacheFindDuration     : chassis.get('cacheFindDuration'),
    mongoHost             : chassis.get('mongoHost'),
    mongoPort             : chassis.get('mongoPort'),
    redis                 : chassis.get('redis'),
    redisCache            : chassis.get('redisCache'),
  }

  delete infoData.authentication.secret

  chassis.get('/info', function(req, res) {
    res.status(200);
    res.json(infoData);
  });
};
