const convertSchema = (o) => {
  const schema  = o
  const keys    = Object.keys(o)
  const mSchema = {}
  keys.map(i => {
    const item = schema[i]
    if (item.type === String)   { item.type = 'string' }
    if (item.type === Number)   { item.type = 'number' }
    if (item.type === Date)     { item.type = 'date' }
    if (item.type === Boolean)  { item.type = 'boolean' }

    mSchema[i] = item
  })

  return mSchema
}

module.exports = function (chassis) {
  const fieldData = chassis.get('service-model')

  if (fieldData) {
    chassis.get('/fields', function(req, res) {
      res.status(200);
      res.json(convertSchema(fieldData));
    });
  } else {
    chassis.get('/fields', function(req, res) {
      res.status(200);
      res.json({});
    });
  }
};
